import ru.ifmo.validate.ValidatingScanner;
import ru.ifmo.validate.Validator;
import ru.ifmo.validate.ValidatorFramework;

/**
 * @author Georgiy Korneev (kgeorgiy@kgeorgiy.info)
 */
public class Validate implements Validator {
    @Override
    public void validate(ValidatingScanner in) {
        in.nextInt("l", 5, 1000);
        in.nextInt("h", 2, 1000);
        in.eoln();
        in.close();
    }

    public static void main(String[] args) throws Exception {
        ClassLoader.getSystemClassLoader().setDefaultAssertionStatus(true);
        ValidatorFramework.main(args);
    }
}
